#pragma once

#include <exception>
#include <string>


class FileNotFoundException : public std::exception {
    std::string error;
public:
    FileNotFoundException() {
        error.assign("FILE NOT FOUND");
    }

    const char* what() const noexcept override {
        return error.c_str();
    }
};

class FileFormatException : public std::exception {
    std::string error;
public:
    FileFormatException() {
        error.assign("FORMAT NOT EXIST");
    }
    const char* what() const noexcept override {
        return error.c_str();
    }
};